// vite.config.js
import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import path from "path";

export default defineConfig({
  plugins: [vue()],
  resolve: {
    alias: {
      "@": path.resolve(__dirname, "src"), // src 目录
      "@components": path.resolve(__dirname, "src/components"), // components 目录
      "@assets": path.resolve(__dirname, "src/assets"), // assets 目录
      "@views": path.resolve(__dirname, "src/views"), // views 目录
      "@store": path.resolve(__dirname, "src/store"), // store 目录
      // 你可以根据需要添加更多别名
    },
  },
});
